Loading...
Searching...
No Matches
RDKit::MolDraw2D_detail::DrawShapeWavyLine Class Reference

`#include <DrawShape.h>`

Inheritance diagram for RDKit::MolDraw2D_detail::DrawShapeWavyLine:

## Public Member Functions

| DrawShapeWavyLine (const std::vector< Point2D > points, double lineWidth=2.0, bool scaleLineWidth=false, const DrawColour &col1=DrawColour(0, 0, 0), const DrawColour &col2=DrawColour(0, 0, 0), double offset=0.05, int atom1=-1, int atom2=-1, int bond=-1)
| DrawShapeWavyLine (const DrawShapeWavyLine &)=delete
| DrawShapeWavyLine (DrawShapeWavyLine &&)=delete
| ~DrawShapeWavyLine ()=default
DrawShapeWavyLine & | operator= (const DrawShapeWavyLine &)=delete
DrawShapeWavyLine & | operator= (DrawShapeWavyLine &&)=delete
void | myDraw (MolDraw2D &drawer) const override
void | scale (const Point2D &scaleFactor) override
bool | doesRectClash (const StringRect &rect, double padding) const override
Public Member Functions inherited from RDKit::MolDraw2D_detail::DrawShape
| DrawShape (const std::vector< Point2D > &points, double lineWidth=2.0, bool scaleLineWidth=false, DrawColour lineColour=DrawColour(0, 0, 0), bool fill=false, int atom1=-1, int atom2=-1, int bond=-1)
| DrawShape (const DrawShape &)=delete
| DrawShape (DrawShape &&)=delete
virtual | ~DrawShape ()=default
DrawShape & | operator= (const DrawShape &)=delete
DrawShape & | operator= (DrawShape &&)=delete
void | draw (MolDraw2D &drawer)
virtual void | findExtremes (double &xmin, double &xmax, double &ymin, double &ymax) const
virtual void | move (const Point2D &trans)

## Public Attributes

DrawColour | col2_
double | offset_
Public Attributes inherited from RDKit::MolDraw2D_detail::DrawShape
std::vector< Point2D > | points_
double | lineWidth_
bool | scaleLineWidth_
DrawColour | lineColour_
bool | fill_
int | atom1_
int | atom2_
int | bond_

## Detailed Description

Definition at line 200 of file DrawShape.h.

## Constructor & Destructor Documentation

## DrawShapeWavyLine() [1/3]

RDKit::MolDraw2D_detail::DrawShapeWavyLine::DrawShapeWavyLine | ( | const std::vector< Point2D > | points,
|  | double | lineWidth = `2.0`,
|  | bool | scaleLineWidth = `false`,
|  | const DrawColour & | col1 = `DrawColour(0, 0, 0)`,
|  | const DrawColour & | col2 = `DrawColour(0, 0, 0)`,
|  | double | offset = `0.05`,
|  | int | atom1 = `-1`,
|  | int | atom2 = `-1`,
|  | int | bond = `-1`
| ) |  |

## DrawShapeWavyLine() [2/3]

RDKit::MolDraw2D_detail::DrawShapeWavyLine::DrawShapeWavyLine | ( | const DrawShapeWavyLine & |  | ) |

delete

## DrawShapeWavyLine() [3/3]

RDKit::MolDraw2D_detail::DrawShapeWavyLine::DrawShapeWavyLine | ( | DrawShapeWavyLine && |  | ) |

delete

## ~DrawShapeWavyLine()

RDKit::MolDraw2D_detail::DrawShapeWavyLine::~DrawShapeWavyLine | ( |  | ) |

default

## Member Function Documentation

## doesRectClash()

bool RDKit::MolDraw2D_detail::DrawShapeWavyLine::doesRectClash | ( | const StringRect & | rect,
|  | double | padding
| ) |  | const

override virtual

Reimplemented from RDKit::MolDraw2D_detail::DrawShape.

## myDraw()

void RDKit::MolDraw2D_detail::DrawShapeWavyLine::myDraw | ( | MolDraw2D & | drawer | ) | const

override virtual

Implements RDKit::MolDraw2D_detail::DrawShape.

## operator=() [1/2]

DrawShapeWavyLine & RDKit::MolDraw2D_detail::DrawShapeWavyLine::operator= | ( | const DrawShapeWavyLine & |  | ) |

delete

## operator=() [2/2]

DrawShapeWavyLine & RDKit::MolDraw2D_detail::DrawShapeWavyLine::operator= | ( | DrawShapeWavyLine && |  | ) |

delete

## scale()

void RDKit::MolDraw2D_detail::DrawShapeWavyLine::scale | ( | const Point2D & | scaleFactor | ) |

override virtual

Reimplemented from RDKit::MolDraw2D_detail::DrawShape.

## Member Data Documentation

## col2_

DrawColour RDKit::MolDraw2D_detail::DrawShapeWavyLine::col2_

Definition at line 217 of file DrawShape.h.

## offset_

double RDKit::MolDraw2D_detail::DrawShapeWavyLine::offset_

Definition at line 218 of file DrawShape.h.

The documentation for this class was generated from the following file:

- DrawShape.h